using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class UIKF3StaticSettings : MonoBehaviour
{
    public KF3StaticContainer Container;

    public static UIKF3StaticSettings Create(KF3StaticContainer container)
    {
        var panel = Instantiate(KF3ModelViewerMain.Instance.Resources.Pfb_KF3StaticSettings, KF3ModelViewerInterface.Instance.DynamicPanels);
        panel.Container = container;
        return panel;
    }
    
    public void SetMaterialVariant(int index)
    {
        Container.SetMaterialVariant(index);
    }
}
